BasicComboBoxUI.ItemHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicComboBoxUI.ItemHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.ItemHandler

- All Implemented Interfaces:
    ItemListener, EventListener
  Enclosing class:
    BasicComboBoxUI

      public class BasicComboBoxUI.ItemHandler
      extends Object
      implements ItemListener

  This listener watches for changes to the selection in the combo box.

  This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

  See Also:
    `BasicComboBoxUI.createItemListener()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `itemStateChanged(ItemEvent e)` Invoked when an item has been selected or deselected by the user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemHandler

          public ItemHandler()

  - ### Method Detail

    - #### itemStateChanged

          public void itemStateChanged(ItemEvent e)

      Description copied from interface: `ItemListener`
      Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).
      Specified by:
        `itemStateChanged` in interface `ItemListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.